<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class BookPostAuto extends Model
{
    public static function table()
    {
        return 'ig_bookpostauto';
    }

	public static function single($className = __CLASS__)
	{
		if (!isset(self::$_self[$className]))
		{
			self::$_self[$className] = new $className;
		}

		return self::$_self[$className];
	}

    public function getPostId()
    {
        $sql = 'REPLACE INTO '.self::table().' (`num`) VALUES (1)';
        $this->Db()->query($sql);

        return $this->Db()->getInsertId();
    }
}
